Subject: Re: Please make CONFIG_CFG80211 harder to enable

From: Michael Buesch <[email-masked]>
Date: Sun, 10 Dec 2006 14:27:20 +0100

On Sunday 10 December 2006 07:48, Paul Collins wrote:
> "John W. Linville" <[email-masked]> writes:
> 
> > On Sat, Dec 09, 2006 at 03:48:43AM -0500, Pavel Roskin wrote:
> >> Hello!
> >> 
> >> Somebody please mark CONFIG_CFG80211 in wireless-dev.git as
> >> experimental/broken/incomplete/whatever.  Not only doesn't it work, but
> >> it also breaks Wireless Extensions if enabled, even if CONFIG_D80211 is
> >> disabled.
> >> 
> >> Driver developers should know that if they enable CONFIG_CFG80211 they
> >> won't be able to debug their drivers effectifely; they'll have to fix
> >> cfg80211 first.
> >
> > Perhaps you could be more specific?  I'm sending this to you from a
> > box booted on the current (~1 week old) wireless-dev kernel using a
> > WEXT-configured ipw2200 device.
> >
> > What problems are you experiencing?  CFG80211 shouldn't interfere w/
> > WEXT if a driver doesn't support it.
> 
> I think I hit this too when I started playing with wireless-dev a week
> or so ago.  I had CFG80211 enabled and iwconfig reported "wireless

Ehm, guys?
cfg80211 is not usable in its current form because there isn't
even a damn userspace tool to interact with nl80211.
So why don't you just disable the option for the time being? That's
not too hard, I guess, and it magically fixes _all_ of your problems.

Another optional possibility would be to _implement_ the cfg80211
in d80211 and the standalone drivers, so at least the compatibility
layer works.
Come on guys, get your hands dirty instead of talking bullshit about
development code.

-- 
Greetings Michael.